Subject: Re: Cygwin, GNU make and VC++ ?
From: "William A. Hoffman" <[email-masked]>
To: "Peter A. Castro" <[email-masked]>, Christophe Dupre <[email-masked]>
Cc: [email-masked]
Date: Tue, 29 Oct 2002 10:08:55 -0500

Depending on how complicated the makefile is, you may want
to try creating a CMakeLists.txt file from it and use cmake.
See www.cmake.org for more information.   For the cygwin build,
cmake 1.4-6 is in the cygwin setup now, and for the windows build,
you can download CMakeSetup from www.cmake.org.

This will handle all path issues and difference between the compiler options.

-Bill

At 06:42 AM 10/29/2002 -0800, Peter A. Castro wrote:
>On Mon, 28 Oct 2002, Christophe Dupre wrote:
>
>> Hello everyone,
>> I'm trying to recompile a homegrown program that was originaly
>> developped for Unix under Windows. We were successful in compiling this
>> program with the cygwin-supplied gcc using our current Makefile.
>> 
>> Now we'd like to recompile with the 'native' compiler, cl.exe provided
>> with Visual Studio, as some believe the native compile would produce
>> faster binaries (it's a long-running analysis code - even 5% speedup
>> would be significant). Also, the gcc binary can't seem to be able to
>> allocate more than 1024MB of memory, even though the machine has 4GB
>> physical (this is under Windows 2000). Even then, we had to modify a
>> registry key to be able to use more than 256MB, which is not great for
>> end-users.
>> 
>> Anyway, we're making progress in being able to compile with CL.EXE, but
>> we're having trouble with include files. We use the flag
>> '-I/home/user/dg/include' to point to the include directory, but it
>> can't find it. If we use '-I../include' it works, but for many reasons
>> we need to be able to specify absolute paths for include files.
>> 
>> Has anyone done that ? I was not able to find anything relevant in the
>> archives.
>
>I had this same problem to contend with at work.  I'd solved it by
>writing a wrapper script around cl that massaged the include list to
>match Windows syntax and then invoke the real cl.  It was a but tricky.
>I ended up putting the path with my wrapper earlier in $PATH and calling
>cl.exe explicitly.  Had to do the same thing with link and lib commands
>too.
>
>> Thanks.
>
>-- 
>Peter A. Castro <[email-masked]> or <[email-masked]>
>        "Cats are just autistic Dogs" -- Dr. Tony Attwood
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/